Category:
Easy fix?: No Copied to github as #: 12380

Description

Map composer should handle layer groups as different map component (to have more rendered map in a single print)

History

#1 - 2009-12-23 03:51 PM - John Tull

Are you suggesting that a layer in a group/folder in the map canvas legend should be treated as it's own map image in the composer? This seems

confusing to me as there are often reasons for grouping items that do not directly translate to a desire to map them separately when printing. This sounds

like a unique workflow that would, possibly, have little broad appeal. Please explain further if I misunderstood your meaning.

#2 - 2009-12-23 04:01 PM - dmartella -

Currently qgis lacks a mechanism to insert into print composer more than one map frame (for ex. with a reference map or a different thematism). In my

opinion, a possible approach should be using layer groups as distinct printing map canvas. I'm sorry for my poor english..

#3 - 2010-06-11 11:19 PM - Paolo Cavallini

- Resolution set to worksforme

- Status changed from Open to Closed

I may be missing your point, but it is possible to insert multiple maps in the composer. Closing it for now, please reopen it if necessary

#4 - 2010-06-12 04:12 AM - dmartella -

Replying to [comment:3 pcav]:

I may be missing your point, but it is possible to insert multiple maps in the composer. Closing it for now, please reopen it if necessary

Sorry, i wasn't explicit for my poor english. My idea was to introduce a system for adding different overlays (thematism or layer groups) in each map frame;

for example i'd like to have a bigger map frame with an ortophoto and some vectorial overlays, and a smaller one (reference frame) with boundaries and

some labels...

#5 - 2010-06-12 05:02 AM - Paolo Cavallini

This is possible.
#6 - 2010-06-12 05:33 AM - dmartella -

Replying to [comment:5 pcav]:

This is possible.

How? This is a great notice for my qgis daily experience!!

#7 - 2010-06-12 08:58 AM - Jürgen Fischer

Replying to [comment:6 dmartella]:

Replying to [comment:5 pcav]:

This is possible.

How? This is a great notice for my qgis daily experience!!

you can add multiple map items each having its own extent and layer set (ie. lock layers for map item checked).

#8 - 2010-06-12 10:58 AM - dmartella -

Replying to [comment:7 jef]:

Replying to [comment:6 dmartella]:

Replying to [comment:5 pcav]:

This is possible.

How? This is a great notice for my qgis daily experience!!

you can add multiple map items each having its own extent and layer set (ie. lock layers for map item checked).

It's just what i need! Thanks a lot for the tip
